ActaParser Class Referencefinal

the main class to read a Acta file More...

`#include <ActaParser.hxx>`

Inheritance diagram for ActaParser:

## Public Member Functions

| ActaParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~ActaParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches)
void | newPage (int number)
| adds a new page
std::shared_ptr< MWAWList > | getMainList ()
| returns a list to be used in the text
bool | createZones ()
| finds the different objects zones
bool | readRSRCZones ()
| read the resource fork zone
bool | readEndDataV3 ()
| read the end file data zones
void | sendHeaderFooter ()
| sends the header/footer data
bool | readPrintInfo (MWAWEntry const &entry)
| read a PrintInfo block ( PSET resource block )
bool | readWindowPos (MWAWEntry const &entry)
| read the window position ( WSIZ resource block )
bool | readLabel (MWAWEntry const &entry)
| read the label type
bool | readHFProperties (MWAWEntry const &entry)
| read the Header/Footer property (QHDR block)
bool | readOption (MWAWEntry const &entry)
| read the QOPT resource block (small print change )
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< ActaParserInternal::State > | m_state
| the state
std::shared_ptr< ActaText > | m_textParser
| the text parser

## Friends

class | ActaParserInternal::SubDocument
class | ActaText

## Detailed Description

the main class to read a Acta file

## Constructor & Destructor Documentation

## ActaParser()

ActaParser::ActaParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~ActaParser()

ActaParser::~ActaParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool ActaParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by ActaText, and parse().

## createDocument()

void ActaParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by ActaText, and parse().

## createZones()

bool ActaParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by ActaText, and parse().

## getMainList()

std::shared_ptr< MWAWList > ActaParser::getMainList | ( |  | ) |

protected

returns a list to be used in the text

Referenced by ActaText.

## getPageLeftTop()

MWAWVec2f ActaParser::getPageLeftTop | ( |  | ) | const

protected

returns the page left top point ( in inches)

Referenced by ActaText.

## init()

void ActaParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by ActaParser(), and ActaText.

## newPage()

void ActaParser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by ActaText.

## parse()

void ActaParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWTextParser.

Referenced by ActaText.

## readEndDataV3()

bool ActaParser::readEndDataV3 | ( |  | ) |

protected

read the end file data zones

Referenced by ActaText, and createZones().

## readHFProperties()

bool ActaParser::readHFProperties | ( | MWAWEntry const & | entry | ) |

protected

read the Header/Footer property (QHDR block)

Referenced by ActaText, and readRSRCZones().

## readLabel()

bool ActaParser::readLabel | ( | MWAWEntry const & | entry | ) |

protected

read the label type

Referenced by ActaText, and readRSRCZones().

## readOption()

bool ActaParser::readOption | ( | MWAWEntry const & | entry | ) |

protected

read the QOPT resource block (small print change )

Referenced by ActaText, and readRSRCZones().

## readPrintInfo()

bool ActaParser::readPrintInfo | ( | MWAWEntry const & | entry | ) |

protected

read a PrintInfo block ( PSET resource block )

Referenced by ActaText, and readRSRCZones().

## readRSRCZones()

bool ActaParser::readRSRCZones | ( |  | ) |

protected

read the resource fork zone

Referenced by ActaText, and createZones().

## readWindowPos()

bool ActaParser::readWindowPos | ( | MWAWEntry const & | entry | ) |

protected

read the window position ( WSIZ resource block )

Referenced by ActaText, and readRSRCZones().

## rsrcAscii()

libmwaw::DebugFile & ActaParser::rsrcAscii | ( |  | ) |

protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by ActaText, readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

## rsrcInput()

MWAWInputStreamPtr ActaParser::rsrcInput | ( |  | ) |

protected

return the input input

Referenced by ActaText, readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

## sendHeaderFooter()

void ActaParser::sendHeaderFooter | ( |  | ) |

protected

sends the header/footer data

Referenced by ActaText, and ActaParserInternal::SubDocument::parse().

## Friends And Related Symbol Documentation

## ActaParserInternal::SubDocument

friend class ActaParserInternal::SubDocument

friend

## ActaText

friend class ActaText

friend

Referenced by ActaText, and init().

## Member Data Documentation

## m_state

std::shared_ptr<ActaParserInternal::State> ActaParser::m_state

protected

the state

Referenced by ActaParser(), checkHeader(), createDocument(), getMainList(), getPageLeftTop(), init(), newPage(), readEndDataV3(), readHFProperties(), readLabel(), readRSRCZones(), and sendHeaderFooter().

## m_textParser

std::shared_ptr<ActaText> ActaParser::m_textParser

protected

the text parser

Referenced by ActaParser(), createDocument(), createZones(), init(), and parse().

The documentation for this class was generated from the following files:

- ActaParser.hxx
- ActaParser.cxx